%define po_package gnome-mag

Summary: GNOME Magnifier
Name: gnome-mag
Version: 0.11.7
Release: 1
License: LGPL
Group: Desktop/Accessibility
URL: http://www.gnome.org/
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Patch0: gnome-mag-0.10.2-lib64.patch
BuildRequires: automake14
BuildRequires: intltool
BuildRequires: xorg-x11-devel
BuildRequires: libbonobo-devel
BuildRequires: gtk2-devel
BuildRequires: at-spi-devel
BuildRequires: gettext

%description
Magnification library for AT-SPI based apps.

%package devel
Summary:	The files needed for developing an app using gnome-mag
Group:		Development/Libraries
Requires:	%name = %{PACKAGE_VERSION}
Requires:	libbonobo-devel

%description devel
GNOME Mag devel

%prep
%setup -q
%patch0 -p1 -b .lib64

%build
automake-1.4
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

find $RPM_BUILD_ROOT -name '*.la' |xargs /bin/rm

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-,root,root,-)
%doc
%{_bindir}/magnifier
%{_libdir}/*.so.*
%{_libdir}/bonobo/servers/*
%{_datadir}/gnome-mag


%files devel
%defattr(-,root,root,-)
%{_includedir}/gnome-mag-1.0
%{_libdir}/pkgconfig/*pc
%{_libdir}/*.so
%{_datadir}/idl/gnome-mag-1.0

%changelog
* Mon Sep 20 2004 Colin Walters <walters@redhat.com> 0.11.7-1
- Update to 0.11.7

* Tue Aug 31 2004 Colin Walters <walters@redhat.com> 0.11.5-1
- Update to 0.11.5
- Add missing ldconfig calls (bz #131273)

* Wed Aug 18 2004 Colin Walters <walters@redhat.com> 0.11.4-1
- Update to 0.11.4

* Tue Aug 04 2004 Colin Walters <walters@redhat.com> 0.11.3-1
- Update to 0.11.3

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 18 2004 Colin Walters <walters@redhat.com> 0.11.2-1
- Update to 0.11.2

* Sat Apr 10 2004 Warren Togami <wtogami@redhat.com> 0.10.10-2
- BR automake14 intltool xorg-x11-devel libbonobo-devel gtk2-devel at-spi-devel gettext

* Wed Mar 31 2004 Mark McLoughlin <markmc@redhat.com> 0.10.10-1
- Update to 0.10.10

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 0.10.8-1
- Update to 0.10.8
- Fixup the lib64 patch

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 0.10.7-1
- update to 0.10.7

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Oct  2 2003 Jonathan Blandford <jrb@redhat.com> 0.10.3-1
- new version

* Wed Sep 24 2003 Mike McLean <mikem@redhat.com> 0.10.2-4
- release bump and rebuild

* Mon Jul 28 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add defattr to -devel rpm

* Fri Jul 18 2003 Jonathan Blandford <jrb@redhat.com>
- fix lib64ism

* Fri May  9 2003 Jonathan Blandford <jrb@redhat.com> mag-1
- Initial build.


